Bug 838193 - Rename dialog of Thunar does not work with accents when pt_BR locale is selected
Rename dialog of Thunar does not work with accents when pt_BR locale is selected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
17
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 22:33 EDT by Ronan Arraes Jardim Chagas
Modified: 2013-08-01 13:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:30:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 5437 None None None 2012-07-08 16:31:24 EDT

  None (edit)
Description Ronan Arraes Jardim Chagas 2012-07-06 22:33:15 EDT
Description of problem:

If the system locale is set to pt_BR (pt_BR.UTF-8 or pt_BR.ISO-8859-1), then I can't use accents in Thunar rename dialog.

Version-Release number of selected component (if applicable):

The problem is happening in both XFCE 4.8 and 4.10.

How reproducible:

I just saw this bug at Fedora. XFCE from Mint was working perfectly.

Steps to Reproduce:
1. Change system locale to pt_BR.UTF-8
2. Rename or create a file
3. Type a letter with accent
  
Actual results:

The accent will not appear.

Expected results:

The accent must appear.

Additional info:

Everything works fine if the locale is set to en_US.UTF-8.
Comment 1 Kevin Fenzi 2012-07-07 14:32:40 EDT
Might be this upstream bug: 

https://bugzilla.xfce.org/show_bug.cgi?id=5437

but not much info there. 

I'll dig around more for ideas...
Comment 2 Ronan Arraes Jardim Chagas 2012-07-07 15:50:51 EDT
Yes, the behavior is exactly the same.
It really seems that dead keys are the problem, since if I copy, for example, 'ã' from another dialog and paste it, then it works.
If you need any tests, please let me know. By now, a temporary solution is to use pcmanfm instead of thunar.
Comment 3 Kevin Fenzi 2012-07-08 16:31:23 EDT
I've asked for more info on the upstream bug.
Comment 4 Ronan Arraes Jardim Chagas 2012-07-09 09:12:40 EDT
Some interesting: the problem does not occur with pt_PT.UTF-8 locale. I'm starting to think that it is something related with Fedoras's pt_BR.UTF-8 locale.
Comment 5 Ronan Arraes Jardim Chagas 2012-07-09 09:13:23 EDT
Something interesting: the problem does not occur with pt_PT.UTF-8 locale. I'm starting to think that it is something related with Fedoras' pt_BR.UTF-8 locale.
Comment 6 Ronan Arraes Jardim Chagas 2012-07-09 11:54:40 EDT
Hi Kevin,

I think I found the problem. It turns out that when I remove the line

<property name="IMPreeditStyle" type="string" value=""/>

from ~/.config/xfce4-old/xfconf/xfce-perchannel-xml/xsettings.xml everything works!

I searched, but I haven't found anything about IMPreeditStyle. Everything is working well and I didn't notice any problem after removing this setting.
Comment 7 Ronan Arraes Jardim Chagas 2012-07-09 14:11:09 EDT
Just one more thing, Fedora's XFCE 4.8 does not let me remove IMPreeditStyle setting. It keeps adding it to xsettings.xml on every login. However, when I updated to XFCE 4.10, this problem stops when I removed the aforementioned line from xsettings.xml.
Comment 8 Kevin Fenzi 2012-07-10 11:24:25 EDT
I've passed this on to the upstream bug for action. 

Thanks for tracking it down!
Comment 9 Fedora End Of Life 2013-07-04 02:05:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 13:30:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.